Uploaded image for project: 'OpenNMS'
  1. OpenNMS
  2. NMS-9363

osgi-pluginmanager: Add support for OSGi R6 HTTP/Pax Web 6

    XMLWordPrintable

    Details

    • Type: Enhancement
    • Status: Resolved (View Workflow)
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 20.0.0
    • Fix Version/s: 21.0.0
    • Component/s: OSGi
    • Security Level: Default (Default Security Scheme)
    • Labels:
      None

      Description

      The osgi-pluginmanager blueprints use a Pax Web 4 class to expose static web resources. Unfortunately, the signature for this class has changed in Pax Web 6 (to support the new OSGi R6 HTTP Whiteboard module). We need to figure out how to make the blueprint work with both versions of the class or bump the version of the pluginmanager and only support Pax Web 6.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                seth Seth Leger
                Reporter:
                seth Seth Leger
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: